%define	api	1
%define	major	0
%define	girmajor	1.0
%define	oldlibname	%mklibname	polkit-gtk-mate %{api} %{major}
%define	olddevname	%mklibname	polkit-gtk-mate -d
%define	libname	%mklibname	polkit-gtk-mate114- %{api} %{major}
%define	devname	%mklibname	polkit-gtk-mate114 -d

Summary:	PolicyKit integration for the MATE desktop
Name:		mate114-polkit
Version:	1.14.0
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/mate-polkit-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	mate-common
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}polkit1-devel
Requires: polkit
Requires: policykit
Requires: %{_lib}polkit1_0
Requires: %{_lib}polkit2
Requires: %{_lib}consolekit0
Requires: %{_lib}polkit-gtk-mate114-1_0
Requires: consolekit
Requires: consolekit-x11
Obsoletes:	mate-polkit
Provides:	mate-polkit = %{version}-%{release}
Provides:	polkit-agent

%description
polkit-mate provides an authentication agent for PolicyKit
that matches the look and feel of the MATE desktop.

%package -n %{libname}
Summary:	Development files for polkit-mate
Group:		System/Libraries
Obsoletes:	%{oldlibname}
Provides:	%{oldlibname} = %{version}-%{release}

%description -n %{libname}
Development files for polkit-mate.


%package -n %{devname}
Summary:	Development files for polkit-mate
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{oldlibname}-devel
Provides:	%{oldlibname}-devel = %{version}-%{release}

%description -n %{devname}
Development files for polkit-mate.

%prep
%setup -q -n mate-polkit-%{version}

%build
%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang mate-polkit

%files -f mate-polkit.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%config(noreplace) %{_sysconfdir}/xdg/autostart/polkit-mate-authentication-agent-1.desktop
%{_libexecdir}/polkit-mate-authentication-agent-1

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/libpolkit-gtk-mate-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/PolkitGtkMate-%{girmajor}.typelib

%files -n %{devname}
%defattr(-,root,root,-)
%dir %{_includedir}/polkit-gtk-mate-1
%dir %{_includedir}/polkit-gtk-mate-1/polkitgtkmate
%{_includedir}/polkit-gtk-mate-1/polkitgtkmate/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/polkit-gtk-mate-%{api}.pc
%{_datadir}/gir-1.0/PolkitGtkMate-%{girmajor}.gir

#replace on update for LXDE change
%pre
rm -f /etc/xdg/autostart/polkit-mate-authentication-agent-1.desktop

%clean
rm -rf  %{buildroot}

%changelog
* Mon Jun 26 2017 adrianomorselli <adrianomorselli> 1.14.0-2uplos2017
- rebuild for new polkit

* Sat Mar 04 2017 adrianomorselli <adrianomorselli> 1.14.0-1uplos2017
- back to mate 1.14
